test: tagIMEDPI struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagIMEDPI Struct Reference

`#include <immuser.h>`

List of all members.

## Public Attributes

tagIMEDPI * | pNext
HANDLE | hInst
HKL | hKL
IMEINFO | ImeInfo
DWORD | dwCodePage
WCHAR | wszUIClass [IM_UI_CLASS_SIZE]
DWORD | cLock
DWORD | dwFlag
tagIMEDPI::_tagImeFunctions | pfn

## Member Data Documentation

DWORD tagIMEDPI::cLock

| Definition at line 73 of file immuser.h. Referenced by ImmLockImeDpi(), ImmUnloadIME(), ImmUnlockImeDpi(), and LoadImeDpi().

DWORD tagIMEDPI::dwCodePage

| Definition at line 71 of file immuser.h. Referenced by ImmGetImeMenuItemsWorker(), InquireIme(), and LoadImeDpi().

DWORD tagIMEDPI::dwFlag

| Definition at line 74 of file immuser.h. Referenced by ImmLockImeDpi(), ImmUnloadIME(), ImmUnlockImeDpi(), and LoadImeDpi().

HANDLE tagIMEDPI::hInst

| Definition at line 68 of file immuser.h. Referenced by CreateIMEUI(), InquireIme(), LoadIME(), and UnloadIME().

HKL tagIMEDPI::hKL

| Definition at line 69 of file immuser.h. Referenced by ImmFreeLayout(), ImmGetImeDpi(), ImmLockImeDpi(), ImmUnloadIME(), and LoadImeDpi().

IMEINFO tagIMEDPI::ImeInfo

| Definition at line 70 of file immuser.h. Referenced by CreateInputContext(), ImmActivateLayout(), ImmCallImeConsoleIME(), ImmConfigureIMEA(), ImmConfigureIMEW(), ImmCreateSoftKeyboard(), ImmEnumRegisterWordA(), ImmEnumRegisterWordW(), ImmEscapeA(), ImmEscapeW(), ImmGetConversionListA(), ImmGetConversionListW(), ImmGetProperty(), ImmGetRegisterWordStyleA(), ImmGetRegisterWordStyleW(), ImmPenAuxInput(), ImmProcessKey(), ImmRegisterWordA(), ImmRegisterWordW(), ImmSetCompositionStringWorker(), ImmTranslateMessage(), ImmUnlockImeDpi(), ImmUnregisterWordA(), ImmUnregisterWordW(), InquireIme(), LoadIME(), SelectInputContext(), and TransHanjaMode().

struct tagIMEDPI::_tagImeFunctions tagIMEDPI::pfn

| Referenced by CreateInputContext(), DestroyInputContext(), HotKeyIDDispatcher(), ImmConfigureIMEA(), ImmConfigureIMEW(), ImmEnumRegisterWordA(), ImmEnumRegisterWordW(), ImmEscapeA(), ImmEscapeW(), ImmGetConversionListA(), ImmGetConversionListW(), ImmGetImeMenuItemsWorker(), ImmGetRegisterWordStyleA(), ImmGetRegisterWordStyleW(), ImmNotifyIME(), ImmPenAuxInput(), ImmProcessKey(), ImmRegisterWordA(), ImmRegisterWordW(), ImmSetActiveContext(), ImmSetCompositionStringWorker(), ImmTranslateMessage(), ImmUnregisterWordA(), ImmUnregisterWordW(), InquireIme(), JCloseOpen(), LoadIME(), MakeIMENotify(), SelectInputContext(), and UnloadIME().

struct tagIMEDPI* tagIMEDPI::pNext

| Definition at line 67 of file immuser.h. Referenced by ImmDisableIME(), ImmFreeLayout(), ImmGetImeDpi(), ImmLockImeDpi(), ImmUnloadIME(), ImmUnlockImeDpi(), and LoadImeDpi().

WCHAR tagIMEDPI::wszUIClass[IM_UI_CLASS_SIZE]

| Definition at line 72 of file immuser.h. Referenced by InquireIme(), and LoadIME().

The documentation for this struct was generated from the following file:

- immuser.h